Bug 838066 - latest kernel doesn't include dm-modules or doesn't load them at boot
latest kernel doesn't include dm-modules or doesn't load them at boot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-06 07:49 EDT by Thomas Schweikle
Modified: 2013-04-05 15:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-05 15:20:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Schweikle 2012-07-06 07:49:48 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/535.19 (KHTML, like Gecko) Ubuntu/11.10 Chromium/18.0.1025.168 Chrome/18.0.1025.168 Safari/535.19
Build Identifier: 

Upgrading to the latest kernel (vmlinuz-3.5.0-0.rc5.git1.1.fc18.x86_64) leads to rebooting into a dracut emergency shell with message /dev/mapper/vg_root/lv_root does not exist.
rebuilding initrd with dracut doesn't help. Same behaviour. 

Reproducible: Always

Steps to Reproduce:
1. Install fedora rawhide
2. upgrade to kernel 3.5.0-0.rc5.git1.1.fc18.x86_64
3. reboot
Actual Results:  
Boot into dracut emergency shell

Expected Results:  
Boot

Modules for dm are not loaded
Comment 1 Josh Boyer 2012-08-10 11:18:34 EDT
Are you still seeing this with the final 3.5 kernel or 3.6-rc1?
Comment 2 Fedora End Of Life 2013-04-03 11:40:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.